package CF2022::Controller::Questions;
use Mojo::Base 'Mojolicious::Controller';
use Mojo::UserAgent;

sub list {
    my $c = shift->openapi->valid_input or return;

    my $url = sprintf ('%s/organizers/%s/events/%s/questions/',
        $c->config->{pretix_api},
        $c->config->{pretix_organizer},
        $c->config->{pretix_event},
    );

    my $ua = Mojo::UserAgent->new;

    my $records = $ua->get( $url, {
        Authorization => 'Token ' . $c->config->{pretix_token}
    } )->result->json;

    my @options = ();

    RECORD:
    foreach my $record ( @{ $records->{results} } ) {
        next RECORD if $record->{hidden};
        push @options, {
           id       => $record->{id},
           question => ($record->{question}{cs} // $record->{question}{en}),
           help     => ($record->{question}{cs} // $record->{help_text}{en} // ''),
        };
    }

    $c->render(openapi => \@options);
}

1;

